Subject: Re: [PATCH] Add eeprom_bad_csum_allow module option to e1000.

From: "Kok, Auke" <[email-masked]>
Date: Tue, 23 Oct 2007 16:03:38 -0700

Dave Jones wrote:
> On Tue, Oct 23, 2007 at 04:40:01PM -0400, Jeff Garzik wrote:
> 
>  > > In any case, this patch should not be merged. We often send it around to users to
>  > > debug their issue in case it involves eeproms, but merging it will just conceal
>  > > the real issue and all of a sudden a flood of people stop reporting *real* issues
>  > > to us.
>  > 
>  > Sorry, I disagree.  Just as with e100, if there is a clear way the user 
>  > can recover their setup -- and Adam says his was effective -- I don't 
>  > see why we should be denying users the ability to use their own hardware.
>  
> Indeed. This is a common enough problem that not including it causes more pain
> than its worth.  I have two affected boxes myself that I actually thought
> the hardware was dead before I tried ajax's patch.

look: You should have reported this to us and you didn't. Now you are using the
fact that you did not report it as an argument which is out of place.

why do you say it is common? how often have you seen this and not reported it back
to our support? are you willingly trying to frustrate this issue?

Auke